/// <reference types="dragula" />
import { PropType } from 'vue';
import * as common from 'schema-based-json-editor';
export declare const ArrayEditor: import("vue").DefineComponent<{
    schema: {
        type: PropType<common.ArraySchema>;
        required: true;
    };
    initialValue: PropType<common.ValueType[]>;
    title: (StringConstructor | NumberConstructor)[];
    getReference: {
        type: PropType<(name: string) => common.Schema | undefined>;
        required: true;
    };
    theme: {
        type: PropType<{
            card: string;
            row: string;
            errorRow: string;
            input: string;
            errorInput: string;
            textarea: string;
            errorTextarea: string;
            checkbox: string;
            radiobox: string;
            button: string;
            buttonGroup: string;
            title: string;
            description: string;
            select: string;
        }>;
        required: true;
    };
    icon: {
        type: PropType<{
            isText: boolean;
            collapse: string;
            expand: string;
            add: string;
            delete: string;
        }>;
        requried: boolean;
    };
    locale: {
        type: PropType<{
            button: {
                collapse: string;
                expand: string;
                add: string;
                delete: string;
            };
            error: {
                minLength: string;
                maxLength: string;
                pattern: string;
                minimum: string;
                maximum: string;
                largerThan: string;
                smallerThan: string;
                minItems: string;
                uniqueItems: string;
                multipleOf: string;
                minProperties: string;
                maxProperties: string;
            };
            info: {
                notExists: string;
                true: string;
                false: string;
                search: string;
            };
            markdownTipLocale: any;
            fileUploaderLocale: {
                dragAndDrop: string;
                selectFile: string;
                pasteFromClipboard: string;
            };
        }>;
        required: true;
    };
    readonly: BooleanConstructor;
    required: BooleanConstructor;
    hasDeleteButton: {
        type: BooleanConstructor;
        required: true;
    };
    dragula: PropType<import("dragula").Dragula | undefined>;
    md: ObjectConstructor;
    hljs: ObjectConstructor;
    forceHttps: BooleanConstructor;
    disableCollapse: BooleanConstructor;
    noSelect2: BooleanConstructor;
    minItemCountIfNeedFilter: NumberConstructor;
    monacoEditor: ObjectConstructor;
}, unknown, {
    renderSwitch: number;
    collapsed: boolean | undefined;
    value: common.ValueType[] | undefined;
    errorMessage: string;
    buttonGroupStyleString: string;
    filter: string;
    invalidIndexes: number[];
    drak: import("dragula").Drake | null;
}, {
    filteredValues(): common.ValueType[];
    getValue(): common.ValueType[];
    isReadOnly(): boolean | undefined;
    hasDeleteButtonFunction(): boolean;
    hasAddButton(): boolean;
    titleToShow(): string;
    showFilter(): boolean;
    className(): string;
    options(): {
        value: string | number;
        label: string | number;
    }[];
}, {
    collapseOrExpand(): void;
    toggleOptional(): void;
    addItem(): void;
    onDeleteFunction(i: number): void;
    onChange(i: number, { value, isValid }: common.ValidityValue<common.ValueType>): void;
    onFilterChange(e: {
        target: {
            value: string;
        };
    }): void;
    isChecked(value: any): boolean | undefined;
    onChangeCheckbox(value: any): void;
    onChangeSelect2(value: any): void;
    validate(): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    theme: {
        card: string;
        row: string;
        errorRow: string;
        input: string;
        errorInput: string;
        textarea: string;
        errorTextarea: string;
        checkbox: string;
        radiobox: string;
        button: string;
        buttonGroup: string;
        title: string;
        description: string;
        select: string;
    };
    locale: {
        button: {
            collapse: string;
            expand: string;
            add: string;
            delete: string;
        };
        error: {
            minLength: string;
            maxLength: string;
            pattern: string;
            minimum: string;
            maximum: string;
            largerThan: string;
            smallerThan: string;
            minItems: string;
            uniqueItems: string;
            multipleOf: string;
            minProperties: string;
            maxProperties: string;
        };
        info: {
            notExists: string;
            true: string;
            false: string;
            search: string;
        };
        markdownTipLocale: any;
        fileUploaderLocale: {
            dragAndDrop: string;
            selectFile: string;
            pasteFromClipboard: string;
        };
    };
    schema: common.ArraySchema;
    hasDeleteButton: boolean;
    getReference: (name: string) => common.Schema | undefined;
} & {
    icon?: {
        isText: boolean;
        collapse: string;
        expand: string;
        add: string;
        delete: string;
    } | undefined;
    required?: boolean | undefined;
    initialValue?: common.ValueType[] | undefined;
    title?: string | number | undefined;
    readonly?: boolean | undefined;
    monacoEditor?: Record<string, any> | undefined;
    noSelect2?: boolean | undefined;
    md?: Record<string, any> | undefined;
    hljs?: Record<string, any> | undefined;
    forceHttps?: boolean | undefined;
    dragula?: import("dragula").Dragula | undefined;
    disableCollapse?: boolean | undefined;
    minItemCountIfNeedFilter?: number | undefined;
}>, {}>;
