/// <reference types="dragula" />
import { PropType } from 'vue';
import * as common from 'schema-based-json-editor';
export declare const ObjectEditor: import("vue").DefineComponent<{
    schema: {
        type: PropType<common.ObjectSchema>;
        required: true;
    };
    initialValue: PropType<{
        [name: string]: common.ValueType;
    }>;
    title: (StringConstructor | NumberConstructor)[];
    getReference: {
        type: PropType<(ref: string) => common.Schema | undefined>;
        required: true;
    };
    theme: {
        type: PropType<{
            card: string;
            row: string;
            errorRow: string;
            input: string;
            errorInput: string;
            textarea: string;
            errorTextarea: string;
            checkbox: string;
            radiobox: string;
            button: string;
            buttonGroup: string;
            title: string;
            description: string;
            select: string;
        }>;
        required: true;
    };
    icon: {
        type: PropType<{
            isText: boolean;
            collapse: string;
            expand: string;
            add: string;
            delete: string;
        }>;
        required: true;
    };
    locale: {
        type: PropType<{
            button: {
                collapse: string;
                expand: string;
                add: string;
                delete: string;
            };
            error: {
                minLength: string;
                maxLength: string;
                pattern: string;
                minimum: string;
                maximum: string;
                largerThan: string;
                smallerThan: string;
                minItems: string;
                uniqueItems: string;
                multipleOf: string;
                minProperties: string;
                maxProperties: string;
            };
            info: {
                notExists: string;
                true: string;
                false: string;
                search: string;
            };
            markdownTipLocale: any;
            fileUploaderLocale: {
                dragAndDrop: string;
                selectFile: string;
                pasteFromClipboard: string;
            };
        }>;
        required: true;
    };
    readonly: BooleanConstructor;
    required: BooleanConstructor;
    hasDeleteButton: {
        type: BooleanConstructor;
        required: true;
    };
    dragula: PropType<import("dragula").Dragula | undefined>;
    md: ObjectConstructor;
    hljs: ObjectConstructor;
    forceHttps: BooleanConstructor;
    disableCollapse: BooleanConstructor;
    noSelect2: BooleanConstructor;
    minItemCountIfNeedFilter: NumberConstructor;
    monacoEditor: PropType<typeof import("monaco-editor").editor>;
}, unknown, {
    collapsed: boolean | undefined;
    value: {
        [name: string]: common.ValueType;
    } | undefined;
    buttonGroupStyle: string;
    errorMessage: string | undefined;
    filter: string;
    invalidProperties: string[];
    properties: {
        property: string;
        schema: common.Schema;
        propertyName: string;
    }[];
    watchedProperties: string[];
}, {
    filteredProperties(): {
        property: string;
        schema: common.Schema;
        propertyName: string;
    }[];
    isReadOnly(): boolean | undefined;
    hasDeleteButtonFunction(): boolean;
    titleToShow(): string;
    showFilter(): boolean;
    className(): string;
}, {
    isRequired(property: string): boolean | undefined;
    collapseOrExpand(): void;
    toggleOptional(): void;
    onChange(property: string, { value, isValid }: common.ValidityValue<common.ValueType>): void;
    onFilterChange(e: {
        target: {
            value: string;
        };
    }): void;
    validate(): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    icon: {
        isText: boolean;
        collapse: string;
        expand: string;
        add: string;
        delete: string;
    };
    theme: {
        card: string;
        row: string;
        errorRow: string;
        input: string;
        errorInput: string;
        textarea: string;
        errorTextarea: string;
        checkbox: string;
        radiobox: string;
        button: string;
        buttonGroup: string;
        title: string;
        description: string;
        select: string;
    };
    locale: {
        button: {
            collapse: string;
            expand: string;
            add: string;
            delete: string;
        };
        error: {
            minLength: string;
            maxLength: string;
            pattern: string;
            minimum: string;
            maximum: string;
            largerThan: string;
            smallerThan: string;
            minItems: string;
            uniqueItems: string;
            multipleOf: string;
            minProperties: string;
            maxProperties: string;
        };
        info: {
            notExists: string;
            true: string;
            false: string;
            search: string;
        };
        markdownTipLocale: any;
        fileUploaderLocale: {
            dragAndDrop: string;
            selectFile: string;
            pasteFromClipboard: string;
        };
    };
    schema: common.ObjectSchema;
    hasDeleteButton: boolean;
    getReference: (ref: string) => common.Schema | undefined;
} & {
    required?: boolean | undefined;
    initialValue?: {
        [name: string]: common.ValueType;
    } | undefined;
    title?: string | number | undefined;
    readonly?: boolean | undefined;
    monacoEditor?: typeof import("monaco-editor").editor | undefined;
    noSelect2?: boolean | undefined;
    md?: Record<string, any> | undefined;
    hljs?: Record<string, any> | undefined;
    forceHttps?: boolean | undefined;
    dragula?: import("dragula").Dragula | undefined;
    disableCollapse?: boolean | undefined;
    minItemCountIfNeedFilter?: number | undefined;
}>, {}>;
